/***
****  QuBE --- X-Windows graphical display routines.  These need work.
***/

enum {
	M80x25x16,
	M640x480x256,
};

enum {
	BLACK = 0, BLUE, GREEN, AQUA, RED, VIOLET, BROWN, LGRAY,
	GRAY, LBLUE, LGREEN, LAQUA, LRED, LVIOLET, YELLOW, WHITE,
};

enum {
	CURarrow,
};

extern int MouseX;
extern int MouseY;

extern char Sans8N[];

int InitScrn(int mode);
int LineXOR(int x1, int y1, int x2, int y2, int color);
int Gprintf(int x, int y, char *font, int color, char *format, ...);
int BoxOutlnXOR(int x1, int y1, int x2, int y2, int color);
int BoxFillXOR(int x1, int y1, int x2, int y2, int color);
int InitMouse(int width, int height, int xres, int yres);
void StdCursor(int cursor);
void KillMouse(void);
void MouseOn(void);
void MouseOff(void);
void ReadMouse(void);
int KeyStatus(void);
int ReadKeyScan(void);

